Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec.demux
Class MessageDecoderAdapter

    java.lang.Object
      org.apache.mina.filter.codec.demux.MessageDecoderAdapter

All Implemented Interfaces:
  MessageDecoder

    public abstract class MessageDecoderAdapter

extends Object
implements MessageDecoder

An abstract `MessageDecoder` implementation for those who don't need to implement `MessageDecoder.finishDecode(IoSession, ProtocolDecoderOutput)` method.

Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary

Fields inherited from interface org.apache.mina.filter.codec.demux.MessageDecoder
`NEED_DATA, NOT_OK, OK`

Constructor Summary
`MessageDecoderAdapter()`

Method Summary
`void` | `finishDecode(IoSession session, ProtocolDecoderOutput out)` Override this method to deal with the closed connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.filter.codec.demux.MessageDecoder
`decodable, decode`

Constructor Detail

### MessageDecoderAdapter

    public MessageDecoderAdapter()

Method Detail

### finishDecode

    public void finishDecode(IoSession session,
                             ProtocolDecoderOutput out)
                      throws Exception

  Override this method to deal with the closed connection. The default implementation does nothing.

  Specified by:
    `finishDecode` in interface `MessageDecoder`
  Throws:
    `Exception` - if the read data violated protocol specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.